Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.plan.build
Interface PlanBuilder

All Known Implementing Classes:
  ExamplePlanBuilder, SimplePlanBuilder

    public interface PlanBuilder

Constructs a plan piece by piece.

Method Summary
`void` | `addActivity(Activity activity)` Adds a top-level activity to the plan.
`void` | `addConstraint(Constraint c)` Adds a top-level constraint to the plan.
`void` | `addIssue(Issue issue)` Adds a top-level issue to the plan.
`void` | `addSubactivity(Activity activity, Activity subactivity)` Adds a subactivity of the specified activity.
`void` | `addSubissue(Issue issue, Issue subissue)` Adds a subissue of the specified issue.
`Plan` | `getPlan()` Builds everything added so far into a plan and returns that plan.
`void` | `setAnnotation(java.lang.Object key, java.lang.Object value)` Sets a top-level annotation.

Method Detail

### addIssue

    void addIssue(Issue issue)

  Adds a top-level issue to the plan.

### addSubissue

    void addSubissue(Issue issue,
                     Issue subissue)

  Adds a subissue of the specified issue.

### addActivity

    void addActivity(Activity activity)

  Adds a top-level activity to the plan.

### addSubactivity

    void addSubactivity(Activity activity,
                        Activity subactivity)

  Adds a subactivity of the specified activity.

### addConstraint

    void addConstraint(Constraint c)

  Adds a top-level constraint to the plan.

### setAnnotation

    void setAnnotation(java.lang.Object key,
                       java.lang.Object value)

  Sets a top-level annotation.

### getPlan

    Plan getPlan()

  Builds everything added so far into a plan and returns that plan.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD